org.apache.nutch.parse

## Class ParseImpl

- java.lang.Object
- - org.apache.nutch.parse.ParseImpl

- All Implemented Interfaces:
    Writable, Parse

      public class ParseImpl
      extends Object
      implements Parse, Writable

  The result of parsing a page's raw content.
  See Also:
    `Parser.getParse(Content)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseImpl()`
    `ParseImpl(Parse parse)`
    `ParseImpl(ParseText text, ParseData data)`
    `ParseImpl(ParseText text, ParseData data, boolean isCanonical)`
    `ParseImpl(String text, ParseData data)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParseData` | `getData()` Other data extracted from the page.
    `String` | `getText()` The textual content of the page.
    `boolean` | `isCanonical()` Indicates if the parse is coming from a url or a sub-url
    `static ParseImpl` | `read(DataInput in)`
    `void` | `readFields(DataInput in)`
    `void` | `write(DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseImpl

          public ParseImpl()

    - #### ParseImpl

          public ParseImpl(Parse parse)

    - #### ParseImpl

          public ParseImpl(String text,
                           ParseData data)

    - #### ParseImpl

          public ParseImpl(ParseText text,
                           ParseData data)

    - #### ParseImpl

          public ParseImpl(ParseText text,
                           ParseData data,
                           boolean isCanonical)

  - ### Method Detail

    - #### getText

          public String getText()

      Description copied from interface: `Parse`
      The textual content of the page. This is indexed, searched, and used when generating snippets.
      Specified by:
        `getText` in interface `Parse`

    - #### getData

          public ParseData getData()

      Description copied from interface: `Parse`
      Other data extracted from the page.
      Specified by:
        `getData` in interface `Parse`

    - #### isCanonical

          public boolean isCanonical()

      Description copied from interface: `Parse`
      Indicates if the parse is coming from a url or a sub-url
      Specified by:
        `isCanonical` in interface `Parse`

    - #### write

          public final void write(DataOutput out)
                           throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### readFields

          public void readFields(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### read

          public static ParseImpl read(DataInput in)
                                throws IOException

      Throws:
        `IOException`

Copyright © 2021 The Apache Software Foundation